<?php
/***
*
*@package binzcms
*@version $id:ModFrontAdClass.php, v 1.0
*@author 斌子
*@Sun Sep 12 16:39:50 GMT 2010
*@copyright (c) 2009-2010 binzcms
*
*/
if(!defined("BINZCMS")) {
	die("hacking");
}
/**
 *
 * ModFrontAdClass
 * 广告应用类
 * 
 */
class ModFrontAdClass extends BaseClass {
	/**
	 * __construct
	 *
	 * 构造函数
	 * @access  public（权限）
	 */
	public function __construct($act) {
		parent::__construct($act);
	}
	/**
	 * mod_front_ad_show
	 *
	 * 广告信息
	 * @access  public（权限）
	 * @return  array	广告数组信息
	 */
	public function mod_front_ad_show() {
		$ad_info	= array();
		$ad_sql		= '';
		$ad_id		= intval($_GET['ad_id']);

		$ad_sql		= "SELECT * FROM #binz#ad AS ad
							WHERE ad.ad_state=1 and ad.ad_time_start<='".date("Y-m-d")."' and ad.ad_time_end>='".date("Y-m-d")."' and ad.ad_id=".intval($ad_id);
		$ad_info	= $this->binz_db->set_select_sql($ad_sql,0);

		return $ad_info;
	}
	/**
	 * __destruct
	 *
	 * 析构函数
	 * @access  public（权限）
	 */
	public function __destruct() {

	}
}
?>